Subject: Re: linux-next: build warning after merge of the pm tree

From: Paul Bolle <[email-masked]>
Date: Mon, 17 Nov 2014 12:31:43 +0100

On Mon, 2014-11-17 at 13:44 +1100, Stephen Rothwell wrote:
> Hi Rafael,
> 
> After merging the pm tree, today's linux-next build (arm multi_v7_defconfig)
> produced this warning:
> 
> kernel/power/Kconfig:132:error: recursive dependency detected!
> kernel/power/Kconfig:132:	symbol PM_RUNTIME is selected by PM_GENERIC_DOMAINS
> kernel/power/Kconfig:272:	symbol PM_GENERIC_DOMAINS is selected by PM_RUNTIME
> 
> Caused by commit 9cdd5fd742e6 ("PM / domains: Kconfig: always enable
> PM_RUNTIME when genpd enabled").

This error also popped up when I fiddled with omap2plus_defconfig on top
of next-20141117. Note that I ended up with a .config which has
CONFIG_ARCH_MULTI_V7 set. The error appears to be triggered by the
Kconfig entry for ARCH_EXYNOS (in arch/arm/mach-exynos/Kconfig). It
contains
        select PM_GENERIC_DOMAINS if PM_RUNTIME

(Perhaps the :272: line needs rephrasing in the error Stephen quoted. It
confused me quite a bit.)

Naively dropping that select statement from ARCH_EXYNOS triggered yet
another error:
    kernel/power/Kconfig:145:error: recursive dependency detected!
    kernel/power/Kconfig:145:	symbol PM depends on PM_RUNTIME
    kernel/power/Kconfig:132:	symbol PM_RUNTIME is selected by PM_GENERIC_DOMAINS
    kernel/power/Kconfig:272:	symbol PM_GENERIC_DOMAINS is selected by PM

After that I admitted defeat.

Paul Bolle